Bug 1468890 - sendmail not found during build
sendmail not found during build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
26
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-09 09:43 EDT by Frank Ansari
Modified: 2017-07-19 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-3.24.4 evolution-data-server-3.24.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-19 12:22:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SENDMAIL_PATH-NOTFOUND error (20.62 KB, image/png)
2017-07-09 09:43 EDT, Frank Ansari
no flags Details

  None (edit)
Description Frank Ansari 2017-07-09 09:43:37 EDT
Created attachment 1295618 [details]
SENDMAIL_PATH-NOTFOUND error

Description of problem:
Until Fedora 25 there was no need to set a sendmail path.

Version-Release number of selected component (if applicable):
Version      : 3.24.3
Release      : 1.fc26


How reproducible:
Configure a mail account with "Sending Email" Server Type "Sendmail".
Update from Fedora 25 to 26.
Send an email.

Steps to Reproduce:
1. See above.
2.
3.

Actual results:
Evolution will not send the mail but throws an SENDMAIL_PATH-NOTFOUND error.


Expected results:
Mail should be delivered to sendmail (postfix in my case).

Additional info:
Comment 1 Frank Ansari 2017-07-09 09:45:21 EDT
I was able to send mails agaion by choosing "custom binary, instead of sendmail" and put /usr/bin/sendmail in the field.
Comment 2 Frank Ansari 2017-07-09 09:47:44 EDT
Sorry, /usr/sbin/sendmail is the path.
Comment 3 Milan Crha 2017-07-10 08:22:43 EDT
Thanks for a bug report. The path is auto-detected when building
evolution-data-server, thus when the sendmail is not installed it's also not found and there was no default. I changed it upstream with the below change, but I will also add BuildRequires to sendmail to the .spec file, thus it'll be found.

Created commit cca44ee in eds master (3.25.4+) [1]
Created commit f03000e in eds gnome-3-24 (3.24.4+)

[1] https://git.gnome.org/browse/evolution-data-server/commit/?id=cca44ee
Comment 4 Fedora Update System 2017-07-17 07:03:26 EDT
evolution-mapi-3.24.4-1.fc26 evolution-ews-3.24.4-1.fc26 evolution-3.24.4-1.fc26 evolution-data-server-3.24.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16c863710e
Comment 5 Fedora Update System 2017-07-17 20:24:15 EDT
evolution-3.24.4-1.fc26, evolution-data-server-3.24.4-1.fc26, evolution-ews-3.24.4-1.fc26, evolution-mapi-3.24.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16c863710e
Comment 6 Fedora Update System 2017-07-19 12:22:06 EDT
evolution-3.24.4-1.fc26, evolution-data-server-3.24.4-1.fc26, evolution-ews-3.24.4-1.fc26, evolution-mapi-3.24.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.